#declare LegL =
union {
	sphere {<0,0,0>,0.3}
	cone {<0,0,0>,0.3 <0,2.4,0>,0.4}
	sphere {<0,2.4,0>,0.4}

	sphere {<0,0,0>, 1.8 scale <0.25,0.7,0.25> rotate <0,0,0> translate <0,1.2,0.1>}

	sphere {<0,0,0>,0.45}
	cone {<0,0,0>,0.4,<0,0,-1>,0.3}
	sphere {<0,0,-1>,0.3}

	translate <0,-2.4,0>
	}

#declare LegU =
union {
	sphere {<0,0,0>,0.4}
	cone {<0,0,0>,0.4 <0,2.2,0>,0.6}
	sphere {<0,2.2,0>,0.6}

	sphere {<0,0,0>, 2 scale <0.27,0.8,0.27> rotate <-5,0,0> translate <0,1.2,-0.1>}
	}

#declare Hip =
union {
	sphere {<-0.5,0,0>,0.5}
	cylinder {<-0.5,0,0>,<0.5,0,0>,0.5}
	sphere {<0.5,0,0>,0.5}
	}

#declare Spine =
union {
	cone {<0,0,0>,0.9 <0,2.5,0>,1.1 scale <1,1,0.35> translate <0,0,0.3>}

	sphere {<0,0,0>,0.6
		scale <1.25,1.25,0.6>
		translate <-0.4,1.8,-0.2>
		}
	sphere {<0,0,0>,0.6
		scale <1.25,1.25,0.6>
		translate <0.4,1.8,-0.2>
		}

	sphere {<0,0,0>,0.5
		scale <1.5,1.5,0.6>
		translate <0.3,1.2,-0.25>
		}
	sphere {<0,0,0>,0.5
		scale <1.5,1.5,0.6>
		translate <-0.3,1.2,-0.25>
		}

	sphere {<0,0,0>,0.5
		scale <1.4,1.4,0.6>
		translate <0.2,0.5,-0.3>
		}
	sphere {<0,0,0>,0.5
		scale <1.4,1.4,0.6>
		translate <-0.2,0.5,-0.3>
		}

	sphere {<0,0,0>,0.5
		scale <1.75,1.75,0.6>
		translate <0.1,0.3,-0.3>
		}
	sphere {<0,0,0>,0.5
		scale <1.75,1.75,0.6>
		translate <-0.1,0.3,-0.3>
		}
	}

#declare Shoulder =
union {
	cone {<-1.3,-0.2,0>,0.6 <0,0,0>,1.3 scale <1,0.5,0.35>}
	sphere {<-1.3,-0.2,0>,0.4}
	}

#declare ArmL =
union {
	sphere {<0,0,0>,0.2}
	cone {<0,0,0>,0.2 <0,1.8,0>,0.3}
	sphere {<0,1.8,0>,0.3}

	sphere {<0,0,0>, 0.75 scale <0.25,1,0.25> rotate <-5,0,0> translate <0,1,-0.1> rotate <0,45,0>}
	sphere {<0,0,0>, 0.75 scale <0.25,1,0.25> rotate <-5,0,0> translate <0,1,-0.1> rotate <0,-45,0>}

	box {<-0.2,0,-0.2>,<0.2,-0.35,0.2>}
	box {<-0.05,-0.1,-0.25>,<0.05,-0.45,0.2>}
	box {<-0.1,-0.1,-0.25>,<-0.2,-0.4,0.2>}
	box {<0.1,-0.1,-0.25>,<0.2,-0.4,0.2>}

	translate <0,-1.8,0>
	}

#declare ArmU =
union {
	sphere {<0,0,0>,0.3}
	cone {<0,0,0>,0.3 <0,1.5,0>,0.4}
	sphere {<0,1.5,0>,0.4}

	sphere {<0,0,0>, 0.75 scale <0.45,1.2,0.35> rotate <-5,0,0> translate <0,0.6,-0.2>}

	}

#declare HeadNeck =
union {
	sphere {<0,0,0>,0.4}
	cylinder {<0,0,0>,<0,0.8,0>,0.4}
//head
	sphere {<0,0,0>,0.65
		scale <1,1.25,1>
		translate <0,1.4,-0.1>
		}
	}

#declare HeadNeck2 =
union {
	sphere {<0,0,0>,0.4}
	cylinder {<0,0,0>,<0,0.8,0>,0.4}
//head
	sphere {<0,0,0>,0.65
		scale <1,1.25,1>
		translate <0,1.4,-0.1>
		}
	sphere {<0,0,0>,0.2
		scale <1,0.5,0.5>
		rotate <0,0,35>
		translate <0,0,-0.605>
		rotate <0,-30,0>
		translate <0,1.4,-0.1>
		pigment {rgb <0.7,0.05,0.05>}
		finish { Dull }
		}
	sphere {<0,0,0>,0.2
		scale <1,0.5,0.5>
		rotate <0,0,-35>
		translate <0,0,-0.605>
		rotate <0,30,0>
		translate <0,1.4,-0.1>
		pigment {rgb <0.7,0.05,0.05>}
		finish { Dull }
		}
	}

/////////////////////////////////////////

#declare RightArm =
union {
	object {ArmL rotate <65,0,0>}
	object {ArmU}
	translate <0,-1.5,0>
	rotate <5,0,0>
	rotate <0,0,-10>
	}

#declare RightArm2 =
union {
	object {ArmL rotate <25,0,0>}
	object {ArmU}
	translate <0,-1.5,0>
	rotate <5,0,0>
	rotate <0,0,-10>
	}

#declare RightArm3 =
union {
	object {ArmL rotate <35,0,0>}
	object {ArmU}
	translate <0,-1.5,0>
	rotate <5,0,0>
	rotate <0,0,-10>
	}

#declare LeftArm =
union {
	object {ArmL rotate <25,0,0>}
	object {ArmU}
	translate <0,-1.5,0>
	rotate <5,0,0>
	rotate <0,0,15>
	}

#declare LeftArm3 =
union {
	object {ArmL rotate <55,0,-40>}
	object {ArmU}
	translate <0,-1.5,0>
	rotate <5,0,0>
	rotate <0,0,15>
	}

#declare RightLeg =
union {
	object {LegL rotate <0,0,0>}
	object {LegU}
	translate <0,-2.2,0>
	rotate <5,0,0>
	rotate <0,0,-10>
	}

#declare LeftLeg =
union {
	object {LegL rotate <0,0,0>}
	object {LegU}
	translate <0,-2.2,0>
	rotate <5,0,0>
	rotate <0,0,10>
	}

#declare RightLeg2 =
union {
	object {LegL rotate <0,0,0>}
	object {LegU}
	translate <0,-2.2,0>
	rotate <5,0,0>
	rotate <0,0,-5>
	}

#declare LeftLeg2 =
union {
	object {LegL rotate <0,0,0>}
	object {LegU}
	translate <0,-2.2,0>
	rotate <5,0,0>
	rotate <0,0,5>
	}

#declare LeftLeg4 =
union {
	object {LegL rotate <-90,0,0>}
	object {LegU}
	translate <0,-2.2,0>
	rotate <90,0,0>
	rotate <0,0,-7>
	}

#declare RightLeg4 =
union {
	object {LegL rotate <-90,0,0>}
	object {LegU }
	translate <0,-2.2,0>
	rotate <90,0,0>
	rotate <0,0,7>
	}

#declare TopHalf =
union {
	object {HeadNeck2 translate <0,2.5,0>}
	object {Shoulder translate <0,2.5,0>}
	object {Shoulder rotate <0,180,0> translate <0,2.5,0>}
	object {RightArm rotate <0,0,-25> translate <-1.3,2.3,0>}
	object {LeftArm rotate <0,0,45> translate <1.3,2.3,0>}
	object {Spine translate <0,0,0>}
	}

#declare TopHalf2 =
union {
	object {HeadNeck2 translate <0,2.5,0>}
	object {Shoulder translate <0,2.5,0>}
	object {Shoulder rotate <0,180,0> translate <0,2.5,0>}
	object {RightArm2 rotate <0,0,-15> translate <-1.3,2.3,0>}
	object {LeftArm rotate <0,0,15> translate <1.3,2.3,0>}
	object {Spine translate <0,0,0>}
	}

#declare TopHalf3 =
union {
	object {HeadNeck2 translate <0,2.5,0>}
	object {Shoulder translate <0,2.5,0>}
	object {Shoulder rotate <0,180,0> translate <0,2.5,0>}
	object {RightArm3 rotate <80,-30,-15> translate <-1.3,2.3,0>}
	object {LeftArm3 rotate <70,10,15> translate <1.3,2.3,0>}
	object {Spine translate <0,0,0>}
	}

#declare TopHalf4 =
union {
	object {HeadNeck2 translate <0,2.5,0>}
	object {Shoulder translate <0,2.5,0>}
	object {Shoulder rotate <0,180,0> translate <0,2.5,0>}
	object {RightArm2 rotate <0,0,-15> translate <-1.3,2.3,0>}
	object {LeftArm rotate <0,0,15> translate <1.3,2.3,0>}
	object {Spine translate <0,0,0>}
	}


#declare TopHalf7 =
union {
	object {HeadNeck2 translate <0,2.5,0>}
	object {Shoulder translate <0,2.5,0>}
	object {Shoulder rotate <0,180,0> translate <0,2.5,0>}
	object {RightArm2 rotate <0,0,-45> translate <-1.3,2.3,0>}
	object {LeftArm rotate <0,0,45> translate <1.3,2.3,0>}
	object {Spine translate <0,0,0>}
	}

#declare Man =
union {
	object {TopHalf translate <0,5.1,0>}
	object {Hip translate <0,5,0>}
	object {RightLeg rotate <0,0,-5> translate <-0.5,4.8,0>}
	object {LeftLeg rotate <0,0,5> translate <0.5,4.8,0>}
	}

#declare Man2 =
union {
	object {TopHalf2 translate <0,5.1,0> }
	object {Hip translate <0,5,0> }
	object {RightLeg2 rotate <0,0,-5> translate <-0.5,4.8,0>}
	object {LeftLeg2 rotate <0,0,5> translate <0.5,4.8,0>}
	}

#declare Man3 =
union {
	object {TopHalf3 translate <0,5.1,0>}
	object {Hip translate <0,5,0>}
	object {RightLeg2 rotate <0,0,-5> translate <-0.5,4.8,0>}
	object {LeftLeg2 rotate <0,0,5> translate <0.5,4.8,0>}
	}

#declare Man4 =
union {
	object {TopHalf4 translate <0,5.1,0>}
	object {Hip translate <0,5,0>}
	object {RightLeg4 rotate <0,0,-5> translate <-0.5,4.8,0>}
	object {LeftLeg4 rotate <0,0,5> translate <0.5,4.8,0>}
	}

#declare Man5 =
union {
	object {TopHalf3 rotate <-40,0,0> translate <0,5.1,0> }
	object {Hip translate <0,5,0>}
	object {RightLeg4 rotate <0,0,-5> translate <-0.5,4.8,0>}
	object {LeftLeg4 rotate <0,0,5> translate <0.5,4.8,0>}
	}

#declare Man6 =
union {
	object {TopHalf3 rotate <-40,0,0> translate <0,5.1,0> }
	object {Hip translate <0,5,0>}
	object {RightLeg2 rotate <0,0,-5> translate <-0.5,4.8,0>}
	object {LeftLeg2 rotate <0,0,5> translate <0.5,4.8,0>}
	}

#declare Man7 =
union {
	object {TopHalf7 translate <0,5.1,0> }
	object {Hip translate <0,5,0>}
	object {RightLeg2 rotate <0,0,-15> translate <-0.5,4.8,0>}
	object {LeftLeg2 rotate <0,0,15> translate <0.5,4.8,0>}
	}

#declare ManMan =
union {
	object { Man pigment { rgb <0.95,0.95,1>*0.2 } finish { Shiny }	normal {bumps 0.2 scale 0.1}}

  union {
	cylinder {<0,0,0>,<0,12,0>,0.075}
	cone {<0,12,0>,0.15,<0,13.5,0>,0	}
	cone {<0,12,0>,0.15,<0,11.5,0>,0}
		pigment { rgb 0.2 }
		finish { Dull }
		rotate <0,0,-15> 
		translate <2.4,0,-1.2>
			}
	object { Shield										// this shield is the only one not random coloured
		scale 1.25										// ok ok but i am a Scot
		texture {
		pigment { rgb <0,0.65,1> }
		finish { sDullMetal }
			}
		texture {
		pigment { Stripe rotate <0,0,-55> }
			}
		texture {
		pigment { Stripe rotate <0,0,55> }
			}
		rotate <0,100,0>
		translate <-1.65,3.5,-1.5>
		}
	}
